package cn.ezhizao.project.business.reportTaxIsZero.service.impl;

import cn.ezhizao.project.business.reportTaxIsZero.domain.BizFinancialReportTaxDetailReport;
import cn.ezhizao.project.business.reportTaxIsZero.mapper.BizFinancialReportTaxDetailReportMapper;
import cn.ezhizao.project.business.reportTaxIsZero.service.IBizFinancialReportTaxDetailReportService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author 周晓
 */

@Service
public class BizFinancialReportTaxDetailReportServiceImpl extends ServiceImpl<BizFinancialReportTaxDetailReportMapper, BizFinancialReportTaxDetailReport> implements IBizFinancialReportTaxDetailReportService {

    @Resource
    BizFinancialReportTaxDetailReportMapper financialReportTaxDetailReportDao;

    @Override
    public List<BizFinancialReportTaxDetailReport> getList(Map<String,Object> conditions) {
        return financialReportTaxDetailReportDao.getList(conditions);
    }

    @Override
    public List<BizFinancialReportTaxDetailReport> getListId(Long id) {
        return null;
    }

    @Override
    public List<BizFinancialReportTaxDetailReport> getListByBean(BizFinancialReportTaxDetailReport financialReportTaxDetailReport) {
        return financialReportTaxDetailReportDao.getList(financialReportTaxDetailReport);
    }

    @Override
    public int getTotal(Map<String,Object> conditions) {
        return financialReportTaxDetailReportDao.getTotal(conditions);
    }

    @Override
    public Integer physicallyDelete(Map<String, Object> conditions) {
        return financialReportTaxDetailReportDao.physicallyDelete(conditions);
    }

}
